CommonsExtPropTestCase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.CommonsExtPropTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class CommonsExtPropTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.CommonsExtPropTestCase

All Implemented Interfaces:
  junit.framework.Test

public class CommonsExtPropTestCase
extends BaseTestCase

Tests for the Commons ExtendedProperties class. This is an identical copy of the ConfigurationTestCase, which will disappear when the Configuration class does

Version:
  $Id: CommonsExtPropTestCase.java,v 1.2.4.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`private static java.lang.String` | `COMPARE_DIR` Comparison directory.
`private static java.lang.String` | `RESULTS_DIR` Results directory.
`private static java.lang.String` | `TEST_CONFIG` Test configuration

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`CommonsExtPropTestCase()` Creates a new instance.

Method Summary
`private void` | `message(java.io.FileWriter result, java.lang.String message)`
`void` | `runTest()` Runs the test.
`private void` | `showIterator(java.io.FileWriter result, java.util.Iterator i)`
`private void` | `showVector(java.io.FileWriter result, java.util.Vector v)`
`static junit.framework.Test` | `suite()`

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPARE_DIR

    private static final java.lang.String COMPARE_DIR

  Comparison directory.

  See Also:
    Constant Field Values

### RESULTS_DIR

    private static final java.lang.String RESULTS_DIR

  Results directory.

  See Also:
    Constant Field Values

### TEST_CONFIG

    private static final java.lang.String TEST_CONFIG

  Test configuration

  See Also:
    Constant Field Values

Constructor Detail

### CommonsExtPropTestCase

    public CommonsExtPropTestCase()

  Creates a new instance.

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test.

### showIterator

    private void showIterator(java.io.FileWriter result,
                              java.util.Iterator i)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### showVector

    private void showVector(java.io.FileWriter result,
                            java.util.Vector v)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### message

    private void message(java.io.FileWriter result,
                         java.lang.String message)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.